> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get KYC Status

> Retrieve the current status of a KYC verification

Check the current verification status of a KYC request. Use this endpoint to monitor progress and determine account compliance status.

## Verification Status Values

The verification process can result in these statuses:

* `not_started`: Verification link created but not accessed
* `under_review`: Documents submitted and being reviewed
* `incomplete`: Additional information required
* `approved`: Verification completed successfully
* `rejected`: Verification failed

## Terms of Service Status

Separate from KYC verification, terms of service acceptance is tracked:

* `pending`: Terms not yet accepted
* `approved`: Terms accepted

## Important Notes

* Status updates may take a few minutes to reflect
* Rejected verifications include detailed rejection reasons
* Incomplete verifications provide required next steps
* Some statuses trigger webhooks if configured


## OpenAPI

````yaml GET /api/grid/v1/accounts/{address}/kyc/{kyc_id}
openapi: 3.1.0
info:
  title: Grid v1 API
  description: Grid v1 REST API for Solana-based smart account system
  contact:
    name: Grid API Support
    url: https://squads.so
    email: support@squads.so
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz
    description: Production server
security:
  - bearer_auth: []
tags:
  - name: accounts
    description: Smart account management operations
  - name: spending-limits
    description: Spending limit management
  - name: standing-orders
    description: Standing order operations
  - name: transactions
    description: Transaction management
  - name: trade
    description: Trade operations and management
  - name: payments
    description: Payment intent operations
  - name: passkeys
    description: Passkey management
  - name: kyc
    description: Know Your Customer operations
  - name: external-accounts
    description: External bank account management
  - name: virtual-accounts
    description: Virtual account management
  - name: auth
    description: Authentication operations
  - name: proposals
    description: Proposal management for multi-sig operations
  - name: compliance
    description: Compliance entity management and KYB/KYC operations
paths:
  /api/grid/v1/accounts/{address}/kyc/{kyc_id}:
    get:
      tags:
        - kyc
      operationId: handler
      parameters:
        - name: address
          in: path
          description: Smart account address (Solana public key)
          required: true
          schema:
            type: string
        - name: kyc_id
          in: path
          description: KYC link ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: KYC status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridApiResponse_ResponsePayload'
        '400':
          description: Invalid request parameters
        '404':
          description: Smart account or KYC link not found
        '500':
          description: Internal server error
      security:
        - bearer_auth: []
components:
  schemas:
    GridApiResponse_ResponsePayload:
      type: object
      required:
        - data
        - metadata
      properties:
        data:
          type: object
          required:
            - id
            - type
            - status
            - tos_status
            - created_at
            - updated_at
          properties:
            account:
              type: string
            created_at:
              type: string
            id:
              type: string
            kyc_continuation_link:
              type:
                - string
                - 'null'
            rejection_reasons:
              type: array
              items: {}
            requirements_due:
              type: array
              items:
                type: string
            status:
              type: string
            tos_status:
              type: string
            type:
              type: string
            updated_at:
              type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
    Metadata:
      type: object
      required:
        - request_id
        - timestamp
      properties:
        request_id:
          type: string
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: Your Grid API key from the Grid Dashboard

````